<?php

namespace App;

$muy_overlay_menu_button_color = get_theme_mod('muy_overlay_menu_button_color', muy_default_color('side'));
$muy_overlay_link_color = get_theme_mod('muy_overlay_link_color', muy_default_color('side'));
$muy_overlay_background_color = get_theme_mod('muy_overlay_background_color', muy_default_color('main'));
$muy_overlay_decoration_color = get_theme_mod('muy_overlay_decoration_color', muy_default_color('side'));
$muy_overlay_social_color = get_theme_mod('muy_overlay_social_color', muy_default_color('side'));
$muy_overlay_button_color = get_theme_mod('muy_overlay_button_color', muy_default_color('side'));
$muy_overlay_button_text_color = get_theme_mod('muy_overlay_button_text_color', muy_default_color('side'));
?>

<style>
    div.socialbar svg {
        fill: <?= $muy_overlay_social_color ?>;
    }

    #overlay-menu,
    .sub-menu {
        background-color: <?= $muy_overlay_background_color ?> !important;
    }

    div#overlay-menu .nav-primary ul li a,
    .main-header .navbar ul li ul li a {
        color: <?= $muy_overlay_link_color ?> !important;
    }

    button.hamburger.is-active .hamburger-inner,
    button.hamburger.is-active .hamburger-inner::before,
    button.hamburger.is-active .hamburger-inner::after {
        background-color: <?= $muy_overlay_menu_button_color ?> !important;
    }

    #overlay-menu .btn {
        background-color: <?= $muy_overlay_button_color ?> !important;
    }

    #overlay-menu .btn a {
        color: <?= $muy_overlay_button_text_color ?> !important;
    }

    #overlay-menu.overlay-menu-2 .nav-primary .overlay-2 ul li.btn a {
        color: <?= $muy_overlay_button_text_color ?> !important;
    }

    .overlay-menu-1.active+.header-1 {
        position: relative;
        background-color: <?= $muy_overlay_background_color ?>;
        z-index: 10000;
    }
    .overlay-menu-2.active+.header-1 {
        position: relative;
        background-color: <?= $muy_overlay_background_color ?>;
        z-index: 10000;
    }
</style>